diff --git a/changelog b/changelog
index db0c228..517249a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100122 tpd src/axiom-website/patches.html 20100122.01.c1m.patch
+20100122 tpd lsp/Makefile add compiler::link
 20100121 tpd src/axiom-website/patches.html 20100121.01.c1m.patch
 20100121 c1m src/input/zimmbron.input fix typo in bibliography
 20100121 c1m Camm Maquire (camm@maguirefamily.org)
diff --git a/lsp/Makefile.pamphlet b/lsp/Makefile.pamphlet
index 668e575..2670c7f 100644
--- a/lsp/Makefile.pamphlet
+++ b/lsp/Makefile.pamphlet
@@ -680,15 +680,20 @@ all:
 gcldir: 
 	@echo 2 building ${GCLVERSION}
 	@tar -zxf ${ZIPS}/${GCLVERSION}.tgz
-<<gcl-2.5.2.socket.patch>>
 <<gcl-2.5.2.fortran.patch>>
-<<gcl-2.5.2.libspad.patch>>
-<<gcl-2.5.2.toploop.patch>>
 <<gcl-2.5.2.objecttofloat.patch>>
 <<gcl-2.5.2.in-package.patch>>
 <<gcl-2.5.2.exit.patch>>
 <<gcl-2.5.2.tail-recursive.patch>>
-<<gclConfigureMake>>
+	echo '(compiler::link (list (compile-file "${BOOKS}/tangle.lisp")) \
+         "${OUT}/lisp" (format nil "(progn (let \
+         ((*load-path* (cons ~S *load-path*)) (si::*load-types* ~S)) \
+         (compiler::emit-fn t)) (fmakunbound (quote si::sgc-on)) \
+         (when (fboundp (quote si::sgc-on)) (si::sgc-on t)) \
+         #-native-reloc (setq compiler::*default-system-p* t))" \
+         si::*system-directory* (quote (list \
+         #+native-reloc".o" ".lsp"))) "${OBJ}/${SYS}/lib/cfuns-c.o \
+         ${OBJ}/${SYS}/lib/sockio-c.o ${OBJ}/${SYS}/lib/libspad.a")' | gcl
 	@echo 13 finished system build on `date` | tee >gcldir
 
 ccldir: ${LSP}/ccl/Makefile
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bd003f8..1438f1b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2402,5 +2402,7 @@ src/interp/intint.lisp merge and remove packtran.lisp<br/>
 books/bookvol5 merge and remove alql.lisp<br/>
 <a href="patches/20100121.01.c1m.patch">20100121.01.c1m.patch</a>
 src/input/zimmbron.input fix typo in bibliography<br/>
+<a href="patches/20100122.01.c1m.patch">20100122.01.c1m.patch</a>
+lsp/Makefile add compiler::link<br/>
  </body>
 </html>
